This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 242252 - crash during attempted repartitioning
crash during attempted repartitioning
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 14:15 EDT by Luis Villa
Modified: 2007-12-18 14:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 14:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luis Villa 2007-06-02 14:15:19 EDT
Description of problem:
I had two contiguous partitions (a small ext2 partition, sda5, and a large ext3
partition, sda6). I deleted them both using the installer, and then tried to
create a new ext3-formatted / in the empty space. The installer crashed after I
hit OK to create the partition.

How reproducible:



Additional info:
Traceback (most recent call first):
  File "/usr/lib/anaconda/autopart.py", line 955, in processPartitioning
    raise PartitioningError, _("Could not allocate cylinder-based partitions as
primary partitions.\n\n%s") % msg
  File "/usr/lib/anaconda/autopart.py", line 1014, in doPartitioning
    processPartitioning(diskset, requests, newParts)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 987, in refresh
    autopart.doPartitioning(self.diskset, self.partitions)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1103, in editPartitionRequest
    if self.refresh():
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1047, in editCb
    self.editPartitionRequest(request, isNew = 1)
TypeError: __str__ returned non-string (type error)

Local variables in innermost frame:
request: Existing Part Request -- mountpoint: None uniqueID: 8
  type: vfat  format: None  badblocks: None
  device: sda2 drive: sda  primary: None
  size: 4621.640625  grow: 0  maxsize: None
  start: 68675040  end: 78140159  migrate: None    fslabel: None  origfstype: vfat
  bytesPerInode: 4096  options: 'None'
newParts: 


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 81
    intf.icw.mainxml: <glade.XML object (PyGladeXML) at 0x9339694>
    intf.icw.reloadRcQueued: 0
    intf.icw.currentWindow: PartitionWindow instance, containing members:
      intf.icw.currentWindow.checkmark_pixbuf: <gtk.gdk.Pixbuf object
(GdkPixbuf) at 0x9a762fc>
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.parent: <gtk.Window object (GtkWindow) at 0x9339734>
      intf.icw.currentWindow.diskStripeGraph: DiskStripeGraph instance,
containing members:
        intf.icw.currentWindow.diskStripeGraph.canvas: <gnome.canvas.Canvas
object (GnomeCanvas) at 0x95230a4>
        intf.icw.currentWindow.diskStripeGraph.textlabels: []
        intf.icw.currentWindow.diskStripeGraph.tree: <DiskTreeModel object
(GtkTreeStore) at 0x9b45cd4>
        intf.icw.currentWindow.diskStripeGraph.editCb: <bound method
PartitionWindow.editCb of <PartitionWindow.PartitionWindow instance at 0x93431cc>>
        intf.icw.currentWindow.diskStripeGraph.next_ypos: 0.0
        intf.icw.currentWindow.diskStripeGraph.diskStripes: []
      intf.icw.currentWindow.show_uneditable: 1
      intf.icw.currentWindow.tree: <DiskTreeModel object (GtkTreeStore) at
0x9b45cd4>
      intf.icw.currentWindow.fsset: FileSystemSet instance, containing members:
        intf.icw.currentWindow.fsset.messageWindow: <bound method
InstallInterface.messageWindow of <gui.InstallInterface instance at 0x93222ec>>
        intf.icw.currentWindow.fsset.volumesCreated: 0
        intf.icw.currentWindow.fsset.progressWindow: <bound method
InstallInterface.progressWindow of <gui.InstallInterface instance at 0x93222ec>>
        intf.icw.currentWindow.fsset.migratedfs: 0
        intf.icw.currentWindow.fsset.waitWindow: <bound method
InstallInterface.waitWindow of <gui.InstallInterface instance at 0x93222ec>>
        intf.icw.currentWindow.fsset.entries: [fsentry -- device: shm  
mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
        intf.icw.currentWindow.fsset.mountcount: 0
      intf.icw.currentWindow.toggleViewButton: <gtk.CheckButton object
(GtkCheckButton) at 0x95237ac>
      intf.icw.currentWindow.anaconda: Already dumped
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Partitioning
      intf.icw.currentWindow.treeViewSelection: <gtk.TreeSelection object
(GtkTreeSelection) at 0x9b45fcc>
      intf.icw.currentWindow.treeView: <gtk.TreeView object (GtkTreeView) at
0x9b45fa4>
      intf.icw.currentWindow.diskset: DiskSet instance, containing members:
        intf.icw.currentWindow.diskset.disks: {'sda': <PedDisk object at
0xb7c69638>}
        intf.icw.currentWindow.diskset.anaconda: Already dumped
        intf.icw.currentWindow.diskset.onlyPrimary: None
      intf.icw.currentWindow.partitions: Partitions instance, containing members:
        intf.icw.currentWindow.partitions.useFdisk: 0
        intf.icw.currentWindow.partitions.useAutopartitioning: 1
        intf.icw.currentWindow.partitions.autoClearPartType: 0
        intf.icw.currentWindow.partitions.nextUniqueID: 10
        intf.icw.currentWindow.partitions.reinitializeDisks: 0
        intf.icw.currentWindow.partitions.autoClearPartDrives: []
        intf.icw.currentWindow.partitions.zeroMbr: 0
        intf.icw.currentWindow.partitions.isKickstart: 0
        intf.icw.currentWindow.partitions.requests: [New Part Request --
mountpoint: / uniqueID: 9
  type: ext3  format: True  badblocks: None
  device: None drive: ['sda']  primary: None
  size: None  grow: 0  maxsize: None
  start: 1247  end: 2622  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          migrate: None
          origfstype: None
          primary: None
          dev: None
          uniqueID: 2
          mountpoint: None
          requestSize: 23757.890625
          size: 23757.890625
          end: 68675039
          grow: 0
          start: 20018880
          ignoreBootConstraints: 0
          type: 1
          badblocks: None
          format: None
          fsopts: None
          fstype: None
          preexist: 1
          device: sda3
          maxSizeMB: None
          bytesPerInode: 4096
          drive: sda
          fslabel: None
          protected: 0
          multidrive: None
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          migrate: None
          origfstype: NTFSFileSystem instance, containing members:
            origfstype.partedPartitionFlags: []
            origfstype.checked: 0
            origfstype.name: ntfs
            origfstype.migratetofs: None
            origfstype.deviceArguments: {}
            origfstype.linuxnativefs: 0
            origfstype.maxSizeMB: 8388608
            origfstype.supported: -1
            origfstype.defaultOptions: defaults
            origfstype.packages: []
            origfstype.extraFormatArgs: []
            origfstype.formattable: 0
            origfstype.partedFileSystemType: <PedFileSystemType object at
0xb7f676e0>
            origfstype.maxLabelChars: 16
          primary: None
          dev: None
          uniqueID: 1
          mountpoint: None
          requestSize: 9774.81298828
          size: 9774.81298828
          end: 20018879
          grow: 0
          start: 63
          ignoreBootConstraints: 0
          type: 1
          badblocks: None
          format: None
          fsopts: None
          fstype: Already dumped
          preexist: 1
          device: sda1
          maxSizeMB: None
          bytesPerInode: 4096
          drive: sda
          fslabel: None
          protected: 0
          multidrive: None
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          badblocks: None
          format: False
          migrate: 0
          origfstype: ext3FileSystem instance, containing members:
            origfstype.partedPartitionFlags: []
            origfstype.checked: 1
            origfstype.name: ext3
            origfstype.migratetofs: None
            origfstype.deviceArguments: {}
            origfstype.linuxnativefs: 1
            origfstype.maxSizeMB: 8388608
            origfstype.supported: -1
            origfstype.defaultOptions: defaults
            origfstype.packages: [e2fsprogs]
            origfstype.extraFormatArgs: [-j]
            origfstype.formattable: 1
            origfstype.partedFileSystemType: <PedFileSystemType object at
0xb7f67b60>
            origfstype.maxLabelChars: 16
          primary: None
          fsopts: None
          preexist: 1
          fslabel: None
          uniqueID: 5
          device: sda5
          mountpoint: /home
          requestSize: 9027.76464844
          grow: 0
          size: 9027.76464844
          end: 60613244
          bytesPerInode: 4096
          drive: sda
          dev: None
          maxSizeMB: None
          start: 42124383
          protected: 0
          multidrive: None
          ignoreBootConstraints: 0
          type: 1
          fstype: Already dumped
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          migrate: None
          origfstype: FATFileSystem instance, containing members:
            origfstype.partedPartitionFlags: []
            origfstype.checked: 0
            origfstype.name: vfat
            origfstype.migratetofs: None
            origfstype.deviceArguments: {}
            origfstype.linuxnativefs: 0
            origfstype.maxSizeMB: 1048576
            origfstype.supported: -1
            origfstype.defaultOptions: defaults
            origfstype.packages: [dosfstools]
            origfstype.extraFormatArgs: []
            origfstype.formattable: 1
            origfstype.partedFileSystemType: <PedFileSystemType object at
0xb7f67260>
            origfstype.maxLabelChars: 16
          primary: None
          dev: None
          uniqueID: 8
          mountpoint: None
          requestSize: 4621.640625
          size: 4621.640625
          end: 78140159
          grow: 0
          start: 68675040
          ignoreBootConstraints: 0
          type: 1
          badblocks: None
          format: None
          fsopts: None
          fstype: Already dumped
          preexist: 1
          device: sda2
          maxSizeMB: None
          bytesPerInode: 4096
          drive: sda
          fslabel: None
          protected: 0
          multidrive: None
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          migrate: None
          origfstype: swapFileSystem instance, containing members:
            origfstype.partedPartitionFlags: []
            origfstype.checked: 0
            origfstype.name: swap
            origfstype.migratetofs: None
            origfstype.deviceArguments: {}
            origfstype.linuxnativefs: 1
            origfstype.maxSizeMB: 8388608
            origfstype.supported: 1
            origfstype.defaultOptions: defaults
            origfstype.packages: []
            origfstype.extraFormatArgs: []
            origfstype.formattable: 1
            origfstype.partedFileSystemType: <PedFileSystemType object at
0xb7f67f20>
            origfstype.maxLabelChars: 15
          primary: None
          dev: None
          uniqueID: 6
          mountpoint: None
          requestSize: 1439.61767578
          size: 1439.61767578
          end: 63564479
          grow: 0
          start: 60616143
          ignoreBootConstraints: 0
          type: 1
          badblocks: None
          format: None
          fsopts: None
          fstype: Already dumped
          preexist: 1
          device: sda6
          maxSizeMB: None
          bytesPerInode: 4096
          drive: sda
          fslabel: None
          protected: 0
          multidrive: None
, PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          migrate: None
          origfstype: Already dumped
          primary: None
          dev: None
          uniqueID: 7
          mountpoint: None
          requestSize: 2495.35986328
          size: 2495.35986328
          end: 68675039
          grow: 0
          start: 63564543
          ignoreBootConstraints: 0
          type: 1
          badblocks: None
          format: None
          fsopts: None
          fstype: Already dumped
          preexist: 1
          device: sda7
          maxSizeMB: None
          bytesPerInode: 4096
          drive: sda
          fslabel: None
          protected: 0
          multidrive: None
]
        intf.icw.currentWindow.partitions.autoPartitionRequests: [New Part
Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1  badblocks: None
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1  badblocks: None
  size: 1000  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
        intf.icw.currentWindow.partitions.deletes: [drive: sda  start: 20018943
 end: 20623679
, drive: sda  start: 20623743  end: 42124319
]
    intf.icw.window: <gtk.Window object (GtkWindow) at 0x9339734>
    intf.icw.installFrame: <gtk.Frame object (GtkFrame) at 0x93396e4>
    intf.icw.anaconda: Already dumped
    intf.icw.rnv: ReleaseNotesViewer instance, containing members:
      intf.icw.rnv.textWin: <gtk.Window object (GtkWindow) at 0x9333a04>
      intf.icw.rnv.vue: <gtkhtml2.View object (HtmlView) at 0x9329e64>
      intf.icw.rnv.currentURI: /tmp/RELEASE-NOTES-en_US.html
      intf.icw.rnv.topDir: /tmp
      intf.icw.rnv.doc: <gtkhtml2.Document object (HtmlDocument) at 0x9329914>
      intf.icw.rnv.height: 600
      intf.icw.rnv.width: 800
      intf.icw.rnv.opener: FancyURLopener instance, containing members:
        intf.icw.rnv.opener._URLopener__unlink: <built-in function unlink>
        intf.icw.rnv.opener._URLopener__tempfiles: []
        intf.icw.rnv.opener.cert_file: None
        intf.icw.rnv.opener.addheaders: [('User-Agent', 'Python-urllib/1.17')]
        intf.icw.rnv.opener.tries: 0
        intf.icw.rnv.opener.ftpcache: {}
        intf.icw.rnv.opener.tempcache: None
        intf.icw.rnv.opener.auth_cache: {}
        intf.icw.rnv.opener.key_file: None
        intf.icw.rnv.opener.proxies: {}
        intf.icw.rnv.opener.type: file
        intf.icw.rnv.opener.maxtries: 10
      intf.icw.rnv.anaconda: Already dumped
      intf.icw.rnv.htmlheader: <html><head><meta http-equiv="Content-Type"
content="text/html; charset=utf-8"></head><body bgcolor="white"><pre>
      intf.icw.rnv.htmlfooter: </pre></body></html>
      intf.icw.rnv.is_showing: False
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr:
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
dispatch: Dispatcher instance, containing members:
  dispatch.step: 10
  dispatch.skipSteps: {'upgradecontinue': 1, 'group-selection': 1,
'findinstall': 1, 'language': 2, 'upgradeswapsuggestion': 1, 'confirmupgrade':
1, 'bootloaderadvanced': 1, 'betanag': 2, 'upgrademount': 1,
'autopartitionexecute': 1, 'keyboard': 2, 'upgbootloader': 1, 'upgrademigfind':
1, 'addswap': 1, 'upgrademigratefs': 1, 'regkey': 1}
  dispatch.firstStep: 0
  dispatch.method: UrlInstallMethod instance, containing members:
    dispatch.method.splitmethod: False
    dispatch.method.messageWindow: <bound method InstallInterface.messageWindow
of <gui.InstallInterface instance at 0x93222ec>>
    dispatch.method.intf: Already dumped
    dispatch.method.tree: None
    dispatch.method.rootPath: /mnt/sysimage
    dispatch.method.pkgUrl:
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
    dispatch.method.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x93222ec>>
    dispatch.method.baseUrl:
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
    dispatch.method.progressWindow: <bound method
InstallInterface.progressWindow of <gui.InstallInterface instance at 0x93222ec>>
    dispatch.method.currentMedia: []
    dispatch.method.loopbackFile: None
  dispatch.anaconda: Already dumped
method: Already dumped
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.rootParts: []
  id.upgradeRoot: []
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x914b2cc>,
<rhpxl.videocard.VideoCard instance at 0x914b28c>]
Primary Video Card Info:
device: None
driver : intel
descr : Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp, -screen,
Anaconda, -dpi, 96]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: Intel Corporation Mobile
915GM/GMS/910GML Express Graphics Controller
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: intel
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1900x1200, 1920x1080,
1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 0
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /tmp/ramfs/X.log
      id.xsetup.xserver.config: <XF86Config object at 0xb7fdd340>
      id.xsetup.xserver.display: :1
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: 0
    id.timezone.arc: 0
    id.timezone.tz: America/New_York
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x932c1ec>
  id.methodstr:
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
  id.fsset: Already dumped
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.x_already_set: 0
  id.backend: YumBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: True
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: Already dumped
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: None
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: dhcp235-50.rdu.redhat.com
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:16:D3:27:E1:B1
IPV6_AUTOCONF=yes
ONBOOT=yes

}
    id.network.primaryNS: 172.16.52.28
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 1
    id.network.domains: [rdu.redhat.com]
    id.network.secondaryNS: 10.11.255.27
    id.network.gateway: 
  id.instClass: DefaultInstall instance, containing members:
  id.floppyDevice: fd0
  id.partitions: Already dumped
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/syslog:
<5>Linux version 2.6.21-1.3194.fc7
(kojibuilder@xenbuilder3.fedora.phx.redhat.com) (gcc version 4.1.2 20070502 (Red
Hat 4.1.2-12)) #1 SMP Wed May 23 22:11:19 EDT 2007
<6>BIOS-provided physical RAM map:
<4>sanitize start
<4>sanitize end
<4>copy_e820_map() start: 0000000000000000 size: 000000000009f000 end:
000000000009f000 type: 1
<4>copy_e820_map() type is E820_RAM
<4>copy_e820_map() start: 000000000009f000 size: 0000000000001000 end:
00000000000a0000 type: 2
<4>copy_e820_map() start: 00000000000d0000 size: 0000000000004000 end:
00000000000d4000 type: 2
<4>copy_e820_map() start: 00000000000dc000 size: 0000000000024000 end:
0000000000100000 type: 2
<4>copy_e820_map() start: 0000000000100000 size: 000000005f5e0000 end:
000000005f6e0000 type: 1
<4>copy_e820_map() type is E820_RAM
<4>copy_e820_map() start: 000000005f6e0000 size: 0000000000015000 end:
000000005f6f5000 type: 3
<4>copy_e820_map() start: 000000005f6f5000 size: 000000000000b000 end:
000000005f700000 type: 4
<4>copy_e820_map() start: 000000005f700000 size: 0000000000900000 end:
0000000060000000 type: 2
<4>copy_e820_map() start: 00000000e0000000 size: 0000000010000000 end:
00000000f0000000 type: 2
<4>copy_e820_map() start: 00000000f0008000 size: 0000000000004000 end:
00000000f000c000 type: 2
<4>copy_e820_map() start: 00000000fec00000 size: 0000000000010000 end:
00000000fec10000 type: 2
<4>copy_e820_map() start: 00000000fed14000 size: 0000000000006000 end:
00000000fed1a000 type: 2
<4>copy_e820_map() start: 00000000fed20000 size: 0000000000070000 end:
00000000fed90000 type: 2
<4>copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end:
00000000fee01000 type: 2
<4>copy_e820_map() start: 00000000ff000000 size: 0000000001000000 end:
0000000100000000 type: 2
<4> BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
<4> BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000d0000 - 00000000000d4000 (reserved)
<4> BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000005f6e0000 (usable)
<4> BIOS-e820: 000000005f6e0000 - 000000005f6f5000 (ACPI data)
<4> BIOS-e820: 000000005f6f5000 - 000000005f700000 (ACPI NVS)
<4> BIOS-e820: 000000005f700000 - 0000000060000000 (reserved)
<4> BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
<4> BIOS-e820: 00000000f0008000 - 00000000f000c000 (reserved)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
<4> BIOS-e820: 00000000fed20000 - 00000000fed90000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
<5>630MB HIGHMEM available.
<5>896MB LOWMEM available.
<4>Using x86 segment limits to approximate NX protection
<7>Entering add_active_range(0, 0, 390880) 0 entries of 256 used
<4>Zone PFN ranges:
<4>  DMA             0 ->     4096
<4>  Normal       4096 ->   229376
<4>  HighMem    229376 ->   390880
<4>early_node_map[1] active PFN ranges
<4>    0:        0 ->   390880
<7>On node 0 totalpages: 390880
<7>  DMA zone: 32 pages used for memmap
<7>  DMA zone: 0 pages reserved
<7>  DMA zone: 4064 pages, LIFO batch:0
<7>  Normal zone: 1760 pages used for memmap
<7>  Normal zone: 223520 pages, LIFO batch:31
<7>  HighMem zone: 1261 pages used for memmap
<7>  HighMem zone: 160243 pages, LIFO batch:31
<6>DMI present.
<6>Using APIC driver default
<4>ACPI: RSDP 000F6C80, 0024 (r2 IBM   )
<4>ACPI: XSDT 5F6E5C4E, 005C (r1 IBM    TP-75        2020  LTP        0)
<4>ACPI: FACP 5F6E5D00, 00F4 (r3 IBM    TP-75        2020 IBM         1)
<4>ACPI Warning (tbfadt-0434): Optional field "Gpe1Block" has zero address or
length: 000000000000102C/0 [20070126]
<4>ACPI: DSDT 5F6E5EE7, EEAC (r1 IBM    TP-75        2020 MSFT  100000E)
<4>ACPI: FACS 5F6F6000, 0040
<4>ACPI: SSDT 5F6E5EB4, 0033 (r1 IBM    TP-75        2020 MSFT  100000E)
<4>ACPI: ECDT 5F6F4D93, 0052 (r1 IBM    TP-75        2020 IBM         1)
<4>ACPI: TCPA 5F6F4DE5, 0032 (r1 IBM    TP-75        2020 PTL         1)
<4>ACPI: APIC 5F6F4E17, 005A (r1 IBM    TP-75        2020 IBM         1)
<4>ACPI: MCFG 5F6F4E71, 003E (r1 IBM    TP-75        2020 IBM         1)
<4>ACPI: BOOT 5F6F4FD8, 0028 (r1 IBM    TP-75        2020  LTP        1)
<6>ACPI: PM-Timer IO Port: 0x1008
<7>ACPI: Local APIC address 0xfee00000
<6>ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
<4>Processor #0 6:13 APIC version 20
<6>ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
<6>ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
<4>IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
<6>ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
<6>ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
<7>ACPI: IRQ0 used by override.
<7>ACPI: IRQ2 used by override.
<7>ACPI: IRQ9 used by override.
<4>Enabling APIC mode:  Flat.  Using 1 I/O APICs
<6>Using ACPI (MADT) for SMP configuration information
<4>Allocating PCI resources starting at 68000000 (gap: 60000000:80000000)
<4>Built 1 zonelists.  Total pages: 387827
<5>Kernel command line: 
<7>mapped APIC to ffffd000 (fee00000)
<7>mapped IOAPIC to ffffc000 (fec00000)
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Initializing CPU#0
<4>CPU 0 irqstacks, hard=c076e000 soft=c074e000
<4>PID hash table entries: 4096 (order: 12, 16384 bytes)
<4>Detected 1596.130 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
<4>Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
<6>Memory: 1539460k/1563520k available (2037k kernel code, 22824k reserved,
1069k data, 236k init, 646016k highmem)
<4>virtual kernel memory layout:
<4>    fixmap  : 0xffc55000 - 0xfffff000   (3752 kB)
<4>    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
<4>    vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
<4>    lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
<4>      .init : 0xc070e000 - 0xc0749000   ( 236 kB)
<4>      .data : 0xc05fd722 - 0xc0708cb4   (1069 kB)
<4>      .text : 0xc0400000 - 0xc05fd722   (2037 kB)
<4>Checking if this processor honours the WP bit even in supervisor mode... Ok.
<4>Calibrating delay using timer specific routine.. 3194.29 BogoMIPS (lpj=1597149)
<6>Security Framework v1.0.0 initialized
<6>SELinux:  Initializing.
<7>SELinux:  Starting in permissive mode
<6>selinux_register_security:  Registering secondary module capability
<6>Capability LSM initialized as secondary
<4>Mount-cache hash table entries: 512
<7>CPU: After generic identify, caps: afe9fbff 00100000 00000000 00000000
00000180 00000000 00000000
<6>CPU: L1 I cache: 32K, L1 D cache: 32K
<6>CPU: L2 cache: 2048K
<7>CPU: After all inits, caps: afe9f3ff 00100000 00000000 00002040 00000180
00000000 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<6>Checking 'hlt' instruction... OK.
<6>SMP alternatives: switching to UP code
<6>Freeing SMP alternatives: 13k freed
<6>ACPI: Core revision 20070126
<4>CPU0: Intel(R) Pentium(R) M processor 1.60GHz stepping 08
<6>Total of 1 processors activated (3194.29 BogoMIPS).
<4>ENABLING IO-APIC IRQs
<6>..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
<6>Brought up 1 CPUs
<7>sizeof(vma)=84 bytes
<7>sizeof(page)=32 bytes
<7>sizeof(inode)=336 bytes
<7>sizeof(dentry)=132 bytes
<7>sizeof(ext3inode)=488 bytes
<7>sizeof(buffer_head)=56 bytes
<7>sizeof(skbuff)=176 bytes
<7>sizeof(task_struct)=1376 bytes
<4>Time: 18:03:49  Date: 05/02/107
<6>NET: Registered protocol family 16
<6>ACPI: bus type pci registered
<6>PCI: PCI BIOS revision 2.10 entry at 0xfd8d8, last bus=7
<6>PCI: Using configuration type 1
<4>Setting up standard PCI resources
<6>ACPI: Interpreter enabled
<6>ACPI: (supports S0 S3 S4 S5)
<6>ACPI: Using IOAPIC for interrupt routing
<6>ACPI: PCI Root Bridge [PCI0] (0000:00)
<7>PCI: Probing PCI hardware (bus 00)
<7>Boot video device is 0000:00:02.0
<4>PCI quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
<4>PCI quirk: region 1180-11bf claimed by ICH6 GPIO
<6>PCI: Transparent bridge - 0000:00:1e.0
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP0._PRT]
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
<4>ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 *11)
<4>ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11)
<6>ACPI: Power Resource [PUBS] (on)
<6>Linux Plug and Play Support v0.97 (c) Adam Belay
<6>pnp: PnP ACPI init
<6>pnp: PnP ACPI: found 12 devices
<6>usbcore: registered new interface driver usbfs
<6>usbcore: registered new interface driver hub
<6>usbcore: registered new device driver usb
<6>PCI: Using ACPI for IRQ routing
<6>PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
<6>NetLabel: Initializing
<6>NetLabel:  domain hash size = 128
<6>NetLabel:  protocols = UNLABELED CIPSOv4
<6>NetLabel:  unlabeled traffic allowed by default
<6>pnp: 00:00: iomem range 0x0-0x9ffff could not be reserved
<6>Time: tsc clocksource has been installed.
<6>pnp: 00:00: iomem range 0xc0000-0xc3fff could not be reserved
<6>pnp: 00:00: iomem range 0xc4000-0xc7fff could not be reserved
<6>pnp: 00:00: iomem range 0xc8000-0xcbfff has been reserved
<6>pnp: 00:02: iomem range 0xe0000000-0xefffffff could not be reserved
<6>pnp: 00:02: iomem range 0xf0008000-0xf000bfff could not be reserved
<6>pnp: 00:02: iomem range 0xfed14000-0xfed17fff could not be reserved
<6>pnp: 00:02: iomem range 0xfed18000-0xfed18fff could not be reserved
<4>PCI: Ignore bogus resource 6 [0:0] of 0000:00:02.0
<6>PCI: Bridge: 0000:00:1c.0
<6>  IO window: disabled.
<6>  MEM window: a0100000-a01fffff
<6>  PREFETCH window: disabled.
<4>PCI: Bus 5, cardbus bridge: 0000:04:00.0
<4>  IO window: 00003000-000030ff
<4>  IO window: 00003400-000034ff
<4>  PREFETCH window: d0000000-d3ffffff
<4>  MEM window: a4000000-a7ffffff
<6>PCI: Bridge: 0000:00:1e.0
<6>  IO window: 3000-6fff
<6>  MEM window: a0200000-afffffff
<6>  PREFETCH window: d0000000-d7ffffff
<6>ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 20 (level, low) -> IRQ 16
<7>PCI: Setting latency timer of device 0000:00:1c.0 to 64
<7>PCI: Setting latency timer of device 0000:00:1e.0 to 64
<6>ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 16 (level, low) -> IRQ 17
<6>NET: Registered protocol family 2
<4>IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
<4>TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
<4>TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
<6>TCP: Hash tables configured (established 131072 bind 65536)
<6>TCP reno registered
<6>checking if image is initramfs... it is
<6>Freeing initrd memory: 5541k freed
<6>Simple Boot Flag at 0x35 set to 0x1
<6>IBM machine detected. Enabling interrupts during APM calls.
<6>apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
<5>apm: overridden by ACPI.
<6>audit: initializing netlink socket (disabled)
<5>audit(1180807429.266:1): initialized
<4>highmem bounce pool size: 64 pages
<4>Total HugeTLB memory allocated, 0
<5>VFS: Disk quotas dquot_6.5.1
<4>Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
<7>SELinux:  Registering netfilter hooks
<4>ksign: Installing public key data
<4>Loading keyring
<4>- Added public key C3680E46D35DB7E1
<4>- User ID: Red Hat, Inc. (Kernel Module GPG key)
<6>io scheduler noop registered
<6>io scheduler anticipatory registered
<6>io scheduler deadline registered
<6>io scheduler cfq registered (default)
<7>PCI: Setting latency timer of device 0000:00:1c.0 to 64
<4>assign_interrupt_mode Found MSI capability
<7>Allocate Port Service[0000:00:1c.0:pcie00]
<7>Allocate Port Service[0000:00:1c.0:pcie02]
<6>ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
<6>ACPI: Processor [CPU] (supports 8 throttling states)
<6>ACPI: Thermal Zone [THM0] (52 C)
<6>Time: acpi_pm clocksource has been installed.
<6>Switched to high resolution mode on CPU 0
<6>isapnp: Scanning for PnP cards...
<6>isapnp: No Plug & Play device found
<6>Real Time Clock Driver v1.12ac
<6>Non-volatile memory driver v1.2
<6>Linux agpgart interface v0.102 (c) Dave Jones
<6>agpgart: Detected an Intel 915GM Chipset.
<6>agpgart: Detected 7932K stolen memory.
<6>agpgart: AGP aperture is 256M @ 0xc0000000
<6>Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
<6>00:0a: ttyS0 at I/O 0x200 (irq = 5) is a NS16550A
<6>ACPI: PCI Interrupt 0000:00:1e.3[B] -> GSI 23 (level, low) -> IRQ 18
<6>ACPI: PCI interrupt for device 0000:00:1e.3 disabled
<4>RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
<6>input: Macintosh mouse button emulation as /class/input/input0
<6>Yenta: CardBus bridge found at 0000:04:00.0 [1014:0555]
<6>Yenta: ISA IRQ mask 0x04b8, PCI irq 17
<6>Socket status: 30000006
<6>pcmcia: parent PCI bridge I/O window: 0x3000 - 0x6fff
<6>cs: IO port probe 0x3000-0x6fff: clean.
<6>pcmcia: parent PCI bridge Memory window: 0xa0200000 - 0xafffffff
<6>pcmcia: parent PCI bridge Memory window: 0xd0000000 - 0xd7ffffff
<4>Clocksource tsc unstable (delta = -295026136 ns)
<6>usbcore: registered new interface driver libusual
<6>usbcore: registered new interface driver hiddev
<6>usbcore: registered new interface driver usbhid
<6>drivers/usb/input/hid-core.c: v2.6:USB HID core driver
<6>PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
<6>serio: i8042 KBD port at 0x60,0x64 irq 1
<6>serio: i8042 AUX port at 0x60,0x64 irq 12
<6>mice: PS/2 mouse device common for all mice
<6>input: AT Translated Set 2 keyboard as /class/input/input1
<6>TCP bic registered
<6>Initializing XFRM netlink socket
<6>NET: Registered protocol family 1
<6>NET: Registered protocol family 17
<4>Using IPI No-Shortcut mode
<4>  Magic number: 11:570:88
<4>drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
<6>Freeing unused kernel memory: 236k freed
<4>Write protecting the kernel read-only data: 803k
<6>IBM TrackPoint firmware: 0x0e, buttons: 3/3
<6>input: TPPS/2 IBM TrackPoint as /class/input/input2
<6>loop: loaded (max 8 devices)
<4>floppy0: no floppy controllers found
<6>BIOS EDD facility v0.16 2004-Jun-25, 1 devices found
<6>input: PC Speaker as /class/input/input3
<6>squashfs: version 3.2-r2 (2007/01/15) Phillip Lougher
<6>NET: Registered protocol family 10
<6>lo: Disabled Privacy Extensions
<6>Mobile IPv6
<5>SCSI subsystem initialized
<6>Loading iSCSI transport class v2.0-724.
<5>iscsi: registered transport (tcp)
<6>ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 19 (level, low) -> IRQ 19
<7>PCI: Setting latency timer of device 0000:00:1d.7 to 64
<6>ehci_hcd 0000:00:1d.7: EHCI Host Controller
<6>ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
<6>ehci_hcd 0000:00:1d.7: debug port 1
<7>PCI: cache line size of 32 is not supported by device 0000:00:1d.7
<6>ehci_hcd 0000:00:1d.7: irq 19, io mem 0xa0040000
<6>ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
<6>usb usb1: configuration #1 chosen from 1 choice
<6>hub 1-0:1.0: USB hub found
<6>hub 1-0:1.0: 8 ports detected
<6>USB Universal Host Controller Interface driver v3.0
<6>ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 17
<7>PCI: Setting latency timer of device 0000:00:1d.0 to 64
<6>uhci_hcd 0000:00:1d.0: UHCI Host Controller
<6>uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
<6>uhci_hcd 0000:00:1d.0: irq 17, io base 0x00001820
<6>usb usb2: configuration #1 chosen from 1 choice
<6>hub 2-0:1.0: USB hub found
<6>hub 2-0:1.0: 2 ports detected
<6>ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 17 (level, low) -> IRQ 20
<7>PCI: Setting latency timer of device 0000:00:1d.1 to 64
<6>uhci_hcd 0000:00:1d.1: UHCI Host Controller
<6>uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
<6>uhci_hcd 0000:00:1d.1: irq 20, io base 0x00001840
<6>usb usb3: configuration #1 chosen from 1 choice
<6>hub 3-0:1.0: USB hub found
<6>hub 3-0:1.0: 2 ports detected
<6>ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 21
<7>PCI: Setting latency timer of device 0000:00:1d.2 to 64
<6>uhci_hcd 0000:00:1d.2: UHCI Host Controller
<6>uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
<6>uhci_hcd 0000:00:1d.2: irq 21, io base 0x00001860
<6>usb usb4: configuration #1 chosen from 1 choice
<6>hub 4-0:1.0: USB hub found
<6>hub 4-0:1.0: 2 ports detected
<6>ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 19 (level, low) -> IRQ 19
<7>PCI: Setting latency timer of device 0000:00:1d.3 to 64
<6>uhci_hcd 0000:00:1d.3: UHCI Host Controller
<6>uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
<6>uhci_hcd 0000:00:1d.3: irq 19, io base 0x00001880
<6>usb usb5: configuration #1 chosen from 1 choice
<6>hub 5-0:1.0: USB hub found
<6>hub 5-0:1.0: 2 ports detected
<6>usb 4-2: new full speed USB device using uhci_hcd and address 2
<6>usb 4-2: configuration #1 chosen from 1 choice
<6>cs: IO port probe 0x100-0x3af: clean.
<6>tg3.c:v3.75.1 (May 7, 2007)
<6>ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 17
<7>PCI: Setting latency timer of device 0000:02:00.0 to 64
<6>eth0: Tigon3 [partno(BCM95751M) rev 4101 PHY(5750)] (PCI Express)
10/100/1000Base-T Ethernet 00:16:d3:27:e1:b1
<6>eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
<6>eth0: dma_rwctrl[76180000] dma_mask[64-bit]
<7>libata version 2.20 loaded.
<7>ata_piix 0000:00:1f.2: version 2.10ac1
<6>ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
<7>PCI: Setting latency timer of device 0000:00:1f.2 to 64
<6>ata1: SATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00011810 irq 14
<6>ata2: PATA max UDMA/100 cmd 0x00010170 ctl 0x00010376 bmdma 0x00011818 irq 15
<6>scsi0 : ata_piix
<6>ata1.00: ata_hpa_resize 1: sectors = 78140160, hpa_sectors = 78140160
<6>ata1.00: ATA-6: HTC426040G9AT00, 00P4A0B5, max UDMA/100
<6>ata1.00: 78140160 sectors, multi 16: LBA 
<6>ata1.00: applying bridge limits
<6>ata1.00: ata_hpa_resize 1: sectors = 78140160, hpa_sectors = 78140160
<6>ata1.00: configured for UDMA/100
<6>scsi1 : ata_piix
<5>scsi 0:0:0:0: Direct-Access     ATA      HTC426040G9AT00  00P4 PQ: 0 ANSI: 5
<5>SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
<5>sda: Write Protect is off
<7>sda: Mode Sense: 00 3a 00 00
<5>SCSI device sda: write cache: enabled, read cache: enabled, doesn't support
DPO or FUA
<5>SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
<5>sda: Write Protect is off
<7>sda: Mode Sense: 00 3a 00 00
<5>SCSI device sda: write cache: enabled, read cache: enabled, doesn't support
DPO or FUA
<6> sda: sda1 sda2 sda3 < sda5 sda6 sda7 sda8 sda9 >
<5>sd 0:0:0:0: Attached scsi disk sda
<6>ADDRCONF(NETDEV_UP): eth0: link is not ready
<6>tg3: eth0: Link is up at 100 Mbps, full duplex.
<6>tg3: eth0: Flow control is off for TX and off for RX.
<6>ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find an ext2 filesystem on dev loop0.
<7>security:  3 users, 6 roles, 1816 types, 78 bools, 1 sens, 1024 cats
<7>security:  60 classes, 65638 rules
<7>SELinux:  Completing initialization.
<7>SELinux:  Setting up existing superblocks.
<7>SELinux: initialized (dev loop0, type squashfs), not configured for labeling
<7>SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
<7>SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
<7>SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
<7>SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
<7>SELinux: initialized (dev devpts, type devpts), uses transition SIDs
<7>SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
<7>SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
<7>SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
<7>SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
<7>SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
<7>SELinux: initialized (dev proc, type proc), uses genfs_contexts
<7>SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
<7>SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
<7>SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
<5>audit(1180807492.103:2): policy loaded auid=4294967295
<6>md: raid0 personality registered for level 0
<6>md: raid1 personality registered for level 1
<6>raid5: automatically using best checksumming function: pIII_sse
<4>   pIII_sse  :  4228.000 MB/sec
<4>raid5: using function: pIII_sse (4228.000 MB/sec)
<4>raid6: int32x1    492 MB/s
<4>raid6: int32x2    585 MB/s
<4>raid6: int32x4    574 MB/s
<4>raid6: int32x8    503 MB/s
<4>raid6: mmxx1     1593 MB/s
<4>raid6: mmxx2     1855 MB/s
<4>raid6: sse1x1    1148 MB/s
<4>raid6: sse1x2    1925 MB/s
<4>raid6: sse2x1    2105 MB/s
<4>raid6: sse2x2    2343 MB/s
<4>raid6: using algorithm sse2x2 (2343 MB/s)
<6>md: raid6 personality registered for level 6
<6>md: raid5 personality registered for level 5
<6>md: raid4 personality registered for level 4
<6>md: raid10 personality registered for level 10
<4>GFS2 (built May 23 2007 22:13:32) installed
<6>Lock_Nolock (built May 23 2007 22:13:44) installed
<6>JFS: nTxBlock = 8192, nTxLock = 65536
<6>SGI XFS with ACLs, security attributes, large block numbers, no debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
<6>device-mapper: multipath: version 1.0.5 loaded
<6>device-mapper: multipath round-robin: version 1.0.0 loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
<5>audit(1180807495.103:3): audit_pid=650 old=0 by auid=4294967295
subj=system_u:system_r:anaconda_t:s0
<6>ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 17
<7>SELinux: initialized (dev sda5, type ext2), uses xattr
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS on sda6, internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev sda6, type ext3), uses xattr
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS on sda7, internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev sda7, type ext3), uses xattr


/tmp/anaconda.log:
18:03:50 INFO    : kernel command line: 

18:03:50 INFO    : 1546104 kB are available
18:03:50 INFO    : modules to insert cramfs fat vfat sunrpc lockd nfs_acl nfs
loop isofs floppy edd pcspkr squashfs jbd mbcache ext3 ext2
18:03:50 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:50 INFO    : loaded cramfs from /modules/modules.cgz
18:03:50 INFO    : loaded fat from /modules/modules.cgz
18:03:50 INFO    : loaded vfat from /modules/modules.cgz
18:03:50 INFO    : loaded sunrpc from /modules/modules.cgz
18:03:50 INFO    : loaded lockd from /modules/modules.cgz
18:03:50 INFO    : loaded nfs_acl from /modules/modules.cgz
18:03:50 INFO    : loaded nfs from /modules/modules.cgz
18:03:50 INFO    : loaded loop from /modules/modules.cgz
18:03:50 INFO    : loaded floppy from /modules/modules.cgz
18:03:50 INFO    : loaded edd from /modules/modules.cgz
18:03:50 INFO    : loaded pcspkr from /modules/modules.cgz
18:03:50 INFO    : loaded squashfs from /modules/modules.cgz
18:03:50 INFO    : loaded jbd from /modules/modules.cgz
18:03:50 INFO    : loaded mbcache from /modules/modules.cgz
18:03:50 INFO    : loaded ext3 from /modules/modules.cgz
18:03:50 INFO    : loaded ext2 from /modules/modules.cgz
18:03:50 DEBUG   : module(s) isofs not found
18:03:50 INFO    : inserted /tmp/cramfs.ko
18:03:50 INFO    : inserted /tmp/fat.ko
18:03:50 INFO    : inserted /tmp/vfat.ko
18:03:50 INFO    : inserted /tmp/sunrpc.ko
18:03:51 INFO    : inserted /tmp/lockd.ko
18:03:51 INFO    : inserted /tmp/nfs_acl.ko
18:03:51 INFO    : inserted /tmp/nfs.ko
18:03:51 INFO    : inserted /tmp/loop.ko
18:03:54 WARNING : failed to insert module (19)
18:03:54 ERROR   : failed to insert /tmp/floppy.ko
18:03:54 INFO    : inserted /tmp/edd.ko
18:03:54 INFO    : inserted /tmp/pcspkr.ko
18:03:54 INFO    : inserted /tmp/squashfs.ko
18:03:54 INFO    : inserted /tmp/jbd.ko
18:03:54 INFO    : inserted /tmp/mbcache.ko
18:03:54 INFO    : inserted /tmp/ext3.ko
18:03:54 INFO    : inserted /tmp/ext2.ko
18:03:54 INFO    : load module set done
18:03:54 INFO    : modules to insert ipv6
18:03:54 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:54 INFO    : loaded ipv6 from /modules/modules.cgz
18:03:54 INFO    : inserted /tmp/ipv6.ko
18:03:54 INFO    : load module set done
18:03:54 INFO    : modules to insert cdrom ide-cd
18:03:54 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:54 INFO    : loaded cdrom from /modules/modules.cgz
18:03:54 DEBUG   : module(s) ide-cd not found
18:03:54 INFO    : inserted /tmp/cdrom.ko
18:03:54 INFO    : load module set done
18:03:54 INFO    : modules to insert scsi_mod sd_mod sr_mod
18:03:54 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:54 INFO    : loaded scsi_mod from /modules/modules.cgz
18:03:54 INFO    : loaded sd_mod from /modules/modules.cgz
18:03:54 INFO    : loaded sr_mod from /modules/modules.cgz
18:03:54 INFO    : inserted /tmp/scsi_mod.ko
18:03:54 INFO    : inserted /tmp/sd_mod.ko
18:03:54 INFO    : inserted /tmp/sr_mod.ko
18:03:54 INFO    : load module set done
18:03:54 INFO    : modules to insert scsi_transport_iscsi libiscsi iscsi_tcp
18:03:54 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:54 INFO    : loaded scsi_transport_iscsi from /modules/modules.cgz
18:03:54 INFO    : loaded libiscsi from /modules/modules.cgz
18:03:54 INFO    : loaded iscsi_tcp from /modules/modules.cgz
18:03:54 INFO    : inserted /tmp/scsi_transport_iscsi.ko
18:03:54 INFO    : inserted /tmp/libiscsi.ko
18:03:54 INFO    : inserted /tmp/iscsi_tcp.ko
18:03:54 INFO    : load module set done
18:03:54 INFO    : looking for usb controllers
18:03:54 INFO    : found USB controller ehci-hcd
18:03:54 INFO    : modules to insert ehci-hcd
18:03:54 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:55 INFO    : loaded ehci-hcd from /modules/modules.cgz
18:03:55 INFO    : inserted /tmp/ehci-hcd.ko
18:03:55 INFO    : load module set done
18:03:55 INFO    : found USB controller uhci-hcd
18:03:55 INFO    : modules to insert uhci-hcd
18:03:55 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:55 INFO    : loaded uhci-hcd from /modules/modules.cgz
18:03:55 INFO    : inserted /tmp/uhci-hcd.ko
18:03:55 INFO    : load module set done
18:03:55 INFO    : found USB controller uhci-hcd
18:03:55 INFO    : modules to insert
18:03:55 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:55 INFO    : load module set done
18:03:55 INFO    : found USB controller uhci-hcd
18:03:55 INFO    : modules to insert
18:03:55 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:55 INFO    : load module set done
18:03:55 INFO    : found USB controller uhci-hcd
18:03:55 INFO    : modules to insert
18:03:55 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:55 INFO    : load module set done
18:03:55 DEBUG   : waiting for usb to become stable...
18:03:57 DEBUG   : 2 seconds.
18:03:57 INFO    : modules to insert hid keybdev
18:03:57 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:57 DEBUG   : module(s) hid keybdev not found
18:03:57 INFO    : load module set done
18:03:58 INFO    : no firewire controller found
18:03:58 DEBUG   : found pcmcia adapter yenta_socket
18:03:58 INFO    : modules to insert pcmcia_core yenta_socket pcmcia
18:03:58 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:59 DEBUG   : module(s) pcmcia_core yenta_socket pcmcia not found
18:03:59 INFO    : load module set done
18:03:59 DEBUG   : probing buses
18:03:59 DEBUG   : finished bus probing
18:03:59 DEBUG   : ignoring driverless device Unknown device 1180:0822
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 266a
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 2641
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 266d
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 2448
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 2660
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 2590
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 4220
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 266e
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Unknown device 2792
18:03:59 DEBUG   : ignoring driverless device Intel Corporation Mobile
915GM/GMS/910GML Express Graphics Controller
18:03:59 INFO    : modules to insert tg3 yenta_socket libata ata_piix ahci
18:03:59 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:03:59 INFO    : loaded tg3 from /modules/modules.cgz
18:03:59 INFO    : loaded libata from /modules/modules.cgz
18:03:59 INFO    : loaded ata_piix from /modules/modules.cgz
18:03:59 INFO    : loaded ahci from /modules/modules.cgz
18:03:59 DEBUG   : module(s) yenta_socket not found
18:03:59 INFO    : inserted /tmp/tg3.ko
18:03:59 INFO    : inserted /tmp/libata.ko
18:04:01 INFO    : inserted /tmp/ata_piix.ko
18:04:02 INFO    : inserted /tmp/ahci.ko
18:04:02 INFO    : load module set done
18:04:02 ERROR   : got to setupCdrom without a CD device
18:04:05 DEBUG   : going to set language to en_US.UTF-8
18:04:05 INFO    : setting language to en_US.UTF-8
18:04:05 INFO    : 53 keymaps are available
18:04:08 INFO    : need to set up networking
18:04:08 INFO    : going to pick interface
18:04:08 INFO    : only have one network device: eth0
18:04:08 INFO    : going to do getNetConfig
18:04:08 INFO    : eth0 is not a wireless adapter
18:04:12 DEBUG   : waiting for link eth0...
18:04:12 DEBUG   :    0 seconds.
18:04:12 DEBUG   : sending anaconda-Linux 2.6.21-1.3194.fc7 i686 as dhcp
vendor-class
18:04:12 INFO    : Listening on LPF/eth0/00:16:d3:27:e1:b1
18:04:12 INFO    : Sending on   LPF/eth0/00:16:d3:27:e1:b1
18:04:12 INFO    : Sending on   Socket/fallback
18:04:12 INFO    : DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
18:04:20 INFO    : DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 12
18:04:20 INFO    : DHCPOFFER from 172.16.55.254
18:04:20 INFO    : DHCPREQUEST on eth0 to 255.255.255.255 port 67
18:04:20 INFO    : DHCPACK from 172.16.52.28
18:04:20 INFO    : bound to 10.11.235.50 -- renewal in 5186 seconds.
18:04:20 INFO    : DHCPv4 eth0 - obtained lease 10.11.235.50
18:04:20 INFO    : DHCPv4 eth0 - option subnet-mask: 255.255.252.0
18:04:20 INFO    : DHCPv4 eth0 - option subnet-mask - prefix_len: 22 broadcast:
10.11.235.255
18:04:20 INFO    : DHCPv4 eth0 - option routers:
18:04:20 DEBUG   : device = eth0
18:04:20 DEBUG   : broadcast = 10.11.235.255
18:04:20 DEBUG   : netmask = 255.255.252.0
18:04:20 DEBUG   : network = 10.11.232.0
18:04:20 DEBUG   : gateway = 10.11.235.254
18:04:20 DEBUG   : dns[0] = 172.16.52.28
18:04:20 DEBUG   : dns[1] = 10.11.255.27
18:04:20 DEBUG   : waiting for link eth0...
18:04:20 DEBUG   :    0 seconds.
18:04:20 INFO    : reverse name lookup worked
18:04:20 INFO    : starting to STEP_URL
18:04:43 ERROR   : got to setupCdrom without a CD device
18:04:43 INFO    : transferring
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/images/updates.img
to a fd
18:04:43 INFO    : transferring
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/disc1/images/updates.img
to a fd
18:04:43 INFO    : transferring
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/images/product.img
to a fd
18:04:43 INFO    : transferring
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/disc1/images/product.img
to a fd
18:04:43 INFO    : 1546104 kB are available
18:04:43 INFO    : transferring
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/images/stage2.img
to a fd
18:04:52 DEBUG   : copied 93515776 bytes to /tmp/ramfs/stage2.img (complete)
18:04:52 INFO    : mntloop loop0 on /mnt/runtime as /tmp/ramfs/stage2.img fd is 11
18:04:52 INFO    : got url
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
18:04:52 INFO    : Loading SELinux policy
18:04:52 INFO    : getting ready to spawn shell now
18:04:52 INFO    : modules to insert ide-cd
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 DEBUG   : module(s) ide-cd not found
18:04:52 INFO    : load module set done
18:04:52 INFO    : modules to insert
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 INFO    : load module set done
18:04:52 INFO    : modules to insert
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 INFO    : load module set done
18:04:52 INFO    : modules to insert pcmcia_core yenta_socket pcmcia
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 DEBUG   : module(s) pcmcia_core yenta_socket pcmcia not found
18:04:52 INFO    : load module set done
18:04:52 DEBUG   : probing buses
18:04:52 DEBUG   : finished bus probing
18:04:52 DEBUG   : ignoring driverless device Ricoh Co Ltd R5C822
SD/SDIO/MMC/MS/MSPro Host Adapter
18:04:52 DEBUG   : ignoring driverless device Intel Corporation
82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
18:04:52 DEBUG   : ignoring driverless device Intel Corporation 82801FBM (ICH6M)
LPC Interface Bridge
18:04:52 DEBUG   : ignoring driverless device Intel Corporation
82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller
18:04:52 DEBUG   : ignoring driverless device Intel Corporation 82801 Mobile PCI
Bridge
18:04:52 DEBUG   : ignoring driverless device Intel Corporation
82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1
18:04:52 DEBUG   : ignoring driverless device Intel Corporation Mobile
915GM/PM/GMS/910GML Express Processor to DRAM Controller
18:04:52 DEBUG   : ignoring driverless device Intel Corporation PRO/Wireless
2200BG Network Connection
18:04:52 DEBUG   : ignoring driverless device Intel Corporation
82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
18:04:52 DEBUG   : ignoring driverless device Intel Corporation Mobile
915GM/GMS/910GML Express Graphics Controller
18:04:52 DEBUG   : ignoring driverless device Intel Corporation Mobile
915GM/GMS/910GML Express Graphics Controller
18:04:52 INFO    : modules to insert yenta_socket
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 DEBUG   : module(s) yenta_socket not found
18:04:52 INFO    : load module set done
18:04:52 INFO    : modules to insert md raid0 raid1 raid5 raid6 xor raid456
raid10 msdos gfs2 lock_nolock reiserfs jfs xfs dm-mod dm-zero dm-mirror
dm-snapshot dm-multipath dm-round-robin dm-emc
18:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
18:04:52 INFO    : loaded raid0 from /modules/modules.cgz
18:04:52 INFO    : loaded raid1 from /modules/modules.cgz
18:04:52 INFO    : loaded xor from /modules/modules.cgz
18:04:52 INFO    : loaded raid456 from /modules/modules.cgz
18:04:52 INFO    : loaded raid10 from /modules/modules.cgz
18:04:52 INFO    : loaded msdos from /modules/modules.cgz
18:04:52 INFO    : loaded gfs2 from /modules/modules.cgz
18:04:52 INFO    : loaded lock_nolock from /modules/modules.cgz
18:04:52 INFO    : loaded reiserfs from /modules/modules.cgz
18:04:52 INFO    : loaded jfs from /modules/modules.cgz
18:04:52 INFO    : loaded xfs from /modules/modules.cgz
18:04:52 INFO    : loaded dm-mod from /modules/modules.cgz
18:04:52 INFO    : loaded dm-zero from /modules/modules.cgz
18:04:52 INFO    : loaded dm-mirror from /modules/modules.cgz
18:04:52 INFO    : loaded dm-snapshot from /modules/modules.cgz
18:04:52 INFO    : loaded dm-multipath from /modules/modules.cgz
18:04:52 INFO    : loaded dm-round-robin from /modules/modules.cgz
18:04:52 INFO    : loaded dm-emc from /modules/modules.cgz
18:04:52 DEBUG   : module(s) md raid5 raid6 not found
18:04:53 INFO    : inserted /tmp/raid0.ko
18:04:53 INFO    : inserted /tmp/raid1.ko
18:04:53 INFO    : inserted /tmp/xor.ko
18:04:53 INFO    : inserted /tmp/raid456.ko
18:04:53 INFO    : inserted /tmp/raid10.ko
18:04:53 INFO    : inserted /tmp/msdos.ko
18:04:53 INFO    : inserted /tmp/gfs2.ko
18:04:53 INFO    : inserted /tmp/lock_nolock.ko
18:04:53 INFO    : inserted /tmp/reiserfs.ko
18:04:53 INFO    : inserted /tmp/jfs.ko
18:04:53 INFO    : inserted /tmp/xfs.ko
18:04:53 INFO    : inserted /tmp/dm-mod.ko
18:04:53 INFO    : inserted /tmp/dm-zero.ko
18:04:53 INFO    : inserted /tmp/dm-mirror.ko
18:04:53 INFO    : inserted /tmp/dm-snapshot.ko
18:04:53 INFO    : inserted /tmp/dm-multipath.ko
18:04:53 INFO    : inserted /tmp/dm-round-robin.ko
18:04:53 INFO    : inserted /tmp/dm-emc.ko
18:04:53 INFO    : load module set done
18:04:53 INFO    : looking for USB mouse...
18:04:53 INFO    : Running anaconda script /usr/bin/anaconda
18:04:55 INFO    : using only installclass _Fedora
18:04:55 INFO    : anaconda called with cmdline = ['/usr/bin/anaconda', '-m',
'http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os',
'--graphical', '--selinux', '--lang', 'en_US.UTF-8', '--keymap', 'us']
18:04:55 INFO    : Display mode = g
18:04:55 INFO    : Method =
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os
18:05:00 WARNING : no floppy devices found but we'll try fd0 anyway
18:05:12 INFO    : Started mini-wm
18:05:12 INFO    : Starting graphical installation...
18:05:13 INFO    : Detected 1520M of memory
18:05:13 INFO    : Swap attempt of 1000M to 2000M
18:05:13 WARNING : step installtype does not exist
18:05:13 WARNING : step complete does not exist
18:05:13 CRITICAL: IOError 14 occurred getting
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/RELEASE-NOTES-en_US.UTF-8.html:
HTTP Error 404: Date: Sat, 02 Jun 2007 18:05:13 GMT

Server: Apache

Last-Modified: Mon, 10 Nov 2003 20:47:18 GMT

ETag: "29ead-efb-3faff956"

Accept-Ranges: bytes

Content-Length: 3835

Content-Type: text/html


18:05:13 CRITICAL: IOError 14 occurred getting
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/RELEASE-NOTES.en_US.UTF-8:
HTTP Error 404: Date: Sat, 02 Jun 2007 18:05:13 GMT

Server: Apache

Last-Modified: Mon, 10 Nov 2003 20:47:18 GMT

ETag: "29ead-efb-3faff956"

Accept-Ranges: bytes

Content-Length: 3835

Content-Type: text/html


18:05:14 INFO    : moving (1) to step welcome
18:05:20 INFO    : moving (1) to step findrootparts
18:05:20 DEBUG   : starting mpaths
18:05:20 DEBUG   : self.driveList(): ['sda']
18:05:20 DEBUG   : DiskSet.skippedDisks: []
18:05:20 DEBUG   : DiskSet.skippedDisks: []
18:05:20 DEBUG   : starting all mpaths on drives ['sda']
18:05:20 DEBUG   : scanning for multipath on drives ['sda']
18:05:20 DEBUG   : mpaths: []
18:05:20 DEBUG   : done starting mpaths.  Drivelist: ['sda']
18:05:20 DEBUG   : starting dmraids
18:05:20 DEBUG   : self.driveList(): ['sda']
18:05:20 DEBUG   : DiskSet.skippedDisks: []
18:05:20 DEBUG   : DiskSet.skippedDisks: []
18:05:20 DEBUG   : starting all dmraids on drives ['sda']
18:05:20 DEBUG   : scanning for dmraid on drives ['sda']
18:05:21 DEBUG   : done starting dmraids.  Drivelist: ['sda']
18:05:22 DEBUG   : isys.py:mount()- going to mount /tmp/sda5 on /mnt/sysimage
18:05:22 DEBUG   : isys.py:mount()- going to mount /tmp/sda6 on /mnt/sysimage
18:05:23 DEBUG   : isys.py:mount()- going to mount /tmp/sda7 on /mnt/sysimage
18:05:24 WARNING : step complete does not exist
18:05:24 INFO    : moving (1) to step partitionobjinit
18:05:24 INFO    : no initiator set
18:05:24 INFO    : no /tmp/fcpconfig; not configuring zfcp
18:05:25 DEBUG   : error reading jfs label on /tmp/disk: [Errno 22] Invalid argument
18:05:25 DEBUG   : error reading reiserfs label on /tmp/disk: [Errno 22] Invalid
argument
18:05:27 INFO    : moving (1) to step parttype
18:05:59 INFO    : moving (1) to step partition


/tmp/netinfo:
DEVICE=eth0
ONBOOT=yes
BOOTPROTO=dhcp
IPV6_AUTOCONF=yes
HOSTNAME=dhcp235-50.rdu.redhat.com
DOMAIN=rdu.redhat.com


/tmp/lvmout:
    Finding all volume groups
  No volume groups found
Comment 1 Luis Villa 2007-06-02 14:19:49 EDT
Appears 100% reproducible, FWIW.
Comment 2 Chris Lumens 2007-06-04 10:54:18 EDT
Looks like we have two problems here.  First, there's a problem with doing the
kind of partitioning you want.  Second, our error handling is busted so we can't
even display the error message.

When you reproduce this, are you getting the exception dialog?  If so, please
press the debug button and then post the results of:  type(msg) to this bug
report.  If possible, perhaps we could talk about this in IRC and I could step
you through some debugging things that would really help figure this one out.
Comment 3 Luis Villa 2007-06-27 10:11:22 EDT
I reinstalled the box (I needed, you know, a working box ;) so I can't reproduce
it anymore (couldn't by the time you responded.) I could have sworn I mentioned
that here, but I guess not. :/
Comment 4 Chris Lumens 2007-06-28 15:53:22 EDT
From conversation in #anaconda, trying to get to the root cause of this:

15:46 < leitao> (Pdb) type(msg)
15:46 < leitao> <type 'instance'>
15:46 < clumens> hmmm
15:47 < clumens> okay one sec.  don't quit out of it yet.
15:48 < leitao> clumens: sure.
15:48 < clumens> print msg.__class__.__name__
15:48 < leitao> (Pdb) print msg.__class__.__name__
15:48 < leitao> PartitioningError
15:48 < clumens> wha?
15:48 < leitao> clumens: I think this message comes from disk.add_partition.
15:49 < clumens> so we have a PartitioningError containing a PartitioningError
15:49 < clumens> okay well let's see what the real problem was.  print msg.__str__()
15:50 -!- lmr [n=lmr@32.104.18.240] has joined #anaconda
15:50 < leitao> (Pdb)  print msg.__str__()
15:50 < leitao> Error: Too many primary partitions.
Comment 6 Steve 2007-07-06 08:35:39 EDT
RHEL 5 version of this issue: bug #247257
Comment 7 david vantongerloo 2007-11-03 06:10:26 EDT
(In reply to comment #6)
> RHEL 5 version of this issue: bug #247257
Have same error on fedora 8 RC3 x86_64 / i have 3 windows partitions and wana 
use free space : debugger says :: Error: Too many primary partitions.
only C: and /boot are primary partitions - rest is extende partitions.
Comment 8 david vantongerloo 2007-11-03 06:18:39 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > RHEL 5 version of this issue: bug #247257
> Have same error on fedora 8 RC3 x86_64 / i have 3 windows partitions and wana 
> use free space : debugger says :: Error: Too many primary partitions.
> only C: and /boot are primary partitions - rest is extende partitions.
Anaconda works only if no windows is installed, if tested this by remove all my 
windows partitions.....

Comment 9 david vantongerloo 2007-11-03 06:32:05 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > RHEL 5 version of this issue: bug #247257
> Have same error on fedora 8 RC3 x86_64 / i have 3 windows partitions and wana 
> use free space : debugger says :: Error: Too many primary partitions.
> only C: and /boot are primary partitions - rest is extende partitions.
Anaconda works only if no windows is installed, if tested this by remove all my 
windows partitions.....


Note You need to log in before you can comment on or make changes to this bug.